roots/wp-config

Collect configuration values and safely define() them

Fund package maintenance!
roots
Patreon

Installs: 620 129

Dependents: 47

Suggesters: 0

Security: 0

Stars: 30

Watchers: 14

Forks: 5

Open Issues: 5

1.0.0 2018-08-10 14:18 UTC

This package is auto-updated.

Last update: 2020-06-20 10:41:02 UTC


README

Build Status Coverage Status

Config::define('WP_DEBUG_DISPLAY', false);

Config::define('WP_DEBUG_DISPLAY', true);

Config::apply();

echo WP_DEBUG_DISPLAY;
// true

Why?

\Roots\WPConfig

Requirements

This library requires PHP 7.1+. If you need PHP 5.6 support: use 1.0.0.

Tests

Just run make to do everything

We use PHPUnit 7 because it has compatibility for PHP 7.1

PHPUnit Docs

There are 3 test commands

  • make test run the full test suite from php to 7.1 to 7.4
  • make test-fast run php 7 tests
  • make test-coverage generate an html test coverage report in ./coverage